Index: palm/trunk/SCRIPTS/NCL/ncl_preferences.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/ncl_preferences.ncl	(revision 194)
+++ palm/trunk/SCRIPTS/NCL/ncl_preferences.ncl	(revision 218)
@@ -16,7 +16,12 @@
       ; REQUIRED --file_1-- INPUT FILE
       ;
-      ; input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      ; input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_1 = "/path_to_file/file_xy_av"      if you use more than one cycle number
+      ;          file_1 = "/path_to_file/file_xy_av.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
@@ -25,14 +30,54 @@
 
 
-         file_1 = "File in" 
-	 
-	 
-      end if
-      ;***************************************************
-      ; REQUIRED --xyc, xzc, yzc-- SECTION of XY or XZ or YZ
+         file_1 = "file_1" 
+	 
+	 
+      end if
+      ;***************************************************
+      ; REQUIRED if more than one file of a job chain --start_f-- START OF CYCLIC NUMBER
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   start_f = 3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f"))then  
+      
+          
+         start_f = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED if more than one file of a job chain --end_f-- END OF CYCLIC NUMBER
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   end_f = 48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f"))then  
+      
+          
+         end_f = -1
+	 
+	 
+      end if
+      ;***************************************************
+      ; REQUIRED --xyc--xzc--yzc-- SELECTION of XY or XZ or YZ CROSS SECTIONS
       ;
       ; desired section has to be set to 1; e.g.: xyc=1, xzc=0 and yzc=0 for xy-section
       ;
       ; data type: integer
+      ;
+      ; example: xyc = 1
+      ;	         xzc = 0
+      ;	         yzc = 0
       ;
       ; default:   0
@@ -56,7 +101,9 @@
       ; OPTIONAL --format_out-- OUTPUT FORMAT
       ;
-      ; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
-      ;
-      ; data type: string
+      ; format of the output file; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
+      ;
+      ; data type: string
+      ;
+      ; example: format_out = "pdf"
       ;
       ; default:   "x11" 
@@ -72,7 +119,9 @@
       ; OPTIONAL --file_out-- OUTPUT FILE
       ;
-      ; please declare path and name 
-      ;
-      ; data type: string
+      ; path and name of the output file
+      ;
+      ; data type: string
+      ;
+      ; example: file_out = "/home/path_to_output/test_cs"
       ;
       ; default:   "~/test_cs" 
@@ -86,9 +135,11 @@
       end if	 
       ;***************************************************
-      ; OPTIONAL --no_columns-- NUMBER OF ROWS
+      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
       ;
       ; number of plots in one row 
       ;
       ; data type: integer
+      ; 
+      ; example: no_columns = 1
       ;
       ; default:   1
@@ -102,16 +153,18 @@
       end if	 
       ;***************************************************
-      ; OPTIONAL --no_lines-- NUMBER OF COLUMNS
+      ; OPTIONAL --no_rows-- NUMBER OF ROWS
       ;
       ; number of plots in one column 
       ;
       ; data type: integer
+      ; 
+      ; example: no_rows = 2
       ;
       ; default:   2 
       ;***************************************************
-      if(.not. isvar("no_lines"))then	 
-      
-      
-         no_lines = 2
+      if(.not. isvar("no_rows"))then	 
+      
+      
+         no_rows = 2
 	 
 	 
@@ -124,4 +177,6 @@
       ; data type: string
       ;
+      ; example: sort = "layer"
+      ;
       ; default:   "layer" 
       ;***************************************************
@@ -136,10 +191,11 @@
       ; OPTIONAL --var-- OUTPUT VARIABLES
       ;
-      ; names of output variables; please inidcate them with one comma before and after each variable;
-      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be plotted)
+      ; names of output variables; inidcate them with one comma before and after each variable
       ;
       ; data type: string 
-      ;
-      ; default:   "all" (all available variables will be plotted)
+      ; 
+      ; example: var = ",u,v,w"
+      ;
+      ; default:   "all" (all available variables are plotted)
       ;***************************************************
       if(.not. isvar("var"))then
@@ -153,9 +209,11 @@
       ; OPTIONAL --start_time_step-- FIRST TIME STEP
       ;
-      ; first time step of plot; you don't have to specify a precise time value from the input file,
-      ; it will be rounded to the next existent time step
+      ; first time step of plot; there is no need to specify a precise time value from the input file,
+      ; 'start_time_step' is rounded to the next existent time step
       ;
       ; data type: double; dimension: [hour]
       ;
+      ; example:   start_time_step = 0.5 
+      ;
       ; default:   -1.d (first available time step)
       ;***************************************************
@@ -170,9 +228,11 @@
       ; OPTIONAL --end_time_step-- LAST TIME STEP
       ;
-      ; last time step of plot; you don't have to specify a precise time value from the input file,
-      ; it will be rounded to the next existent time step
+      ; last time step of plot; there is no need to specify a precise time value from the input file,
+      ; 'end_time_step' is rounded to the next existent time step
       ;
       ; data type: double; dimension: [hour]
       ;
+      ; example:   end_time_step = 2.0
+      ;
       ; default:   -1.d (last available time step)
       ;***************************************************
@@ -188,9 +248,10 @@
       ;
       ; value for minimum of x-axis, selectable if there are NO preseted layers for x (as for XY or XZ 2D-DATA);
-      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
-      ; existent value
+      ; there is no need to specify a precise meter value from the input file, it is rounded to the next existent value
       ;
       ; data type: double; dimension: [meter]
       ;
+      ; example: xs = 150.0
+      ;
       ; default:   -1.d (minimum of range)
       ;***************************************************
@@ -206,9 +267,10 @@
       ;
       ; value for maximum of x-axis, selectable if there are NO preseted layers for x (as for XY or XZ 2D-DATA);
-      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
-      ; existent value
+      ; there is no need to specify a precise meter value from the input file, it is rounded to the next existent value
       ;
       ; data type: double; dimension: [meter] 
       ;
+      ; example: xe = 300.0
+      ;
       ; default:   -1.d (maximum of range)
       ;***************************************************
@@ -224,9 +286,10 @@
       ;
       ; value for minimum of y-axis, selectable if there are NO preseted layers for y (as for XY or YZ 2D-DATA);
-      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
-      ; existent value
+      ; there is no need to specify a precise meter value from the input file, it is rounded to the next existent value
       ;
       ; data type: double; dimension: [meter]
       ;
+      ; example: ys = 150.0
+      ;
       ; default:   -1.d (minimum of range)
       ;***************************************************
@@ -242,8 +305,9 @@
       ;
       ; value for maximum of y-axis, selectable if there are NO preseted layers for y (as for XY or YZ 2D-DATA);
-      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
-      ; existent value 
+      ; there is no need to specify a precise meter value from the input file, it is rounded to the next existent value 
       ;
       ; data type: double; dimension: [meter]
+      ;
+      ; example: ye = 300.0
       ;
       ; default:   -1.d (maximum of range)
@@ -264,4 +328,6 @@
       ; data type: integer
       ;
+      ; example: zs = 0
+      ;
       ; default:   -1 (minimum of range)
       ;***************************************************
@@ -281,4 +347,6 @@
       ; data type: integer
       ;
+      ; example: ze = 15
+      ;
       ; default:   -1 (maximum of range)
       ;***************************************************
@@ -297,4 +365,6 @@
       ; data type: string
       ;
+      ; example: mode = "Fill"
+      ;
       ; default:   "Fill" 
       ;***************************************************
@@ -313,4 +383,6 @@
       ; data type: string
       ;
+      ; example: fill_mode = "AreaFill"
+      ;
       ; default:   "AreaFill" 
       ;***************************************************
@@ -325,7 +397,9 @@
       ; OPTIONAL --shape-- ASPECT RATIO 
       ;
-      ; aspect ratio of axis is kept [=1] or  not[=0]
-      ;
-      ; data type: integer
+      ; aspect ratio of axis is kept [=1] or not[=0]
+      ;
+      ; data type: integer
+      ;
+      ; example: shape = 1
       ;
       ; default:   1 
@@ -337,61 +411,226 @@
 	 
 	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --font_size-- FONT SIZE OF STRINGS 
+      ;
+      ; font size can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size = 0.04
+      ;
+      ; default:   0.04 
+      ;***************************************************
+      if(.not. isvar("font_size"))then
+      
+      	 
+         font_size = 0.04
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --font_size_legend-- FONT SIZE OF LEGEND STRINGS 
+      ;
+      ; font size of the legend can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size_legend = 0.02
+      ;
+      ; default:   0.02 
+      ;***************************************************
+      if(.not. isvar("font_size_legend"))then
+      
+      	 
+         font_size_legend = 0.02
+	 
+	 
+      end if	
+      ;***************************************************
+      ; OPTIONAL --legend_label_stride-- REDUCTION OF THE NUMBER OF LABELS IN THE LEGEND
+      ;
+      ; if legend_label_stride is set to 1 every label is shown; if set to 2 every second,...
+      ;
+      ; data type: integer
+      ;
+      ; example: legend_label_stride = 2
+      ;
+      ; default:   2 
+      ;***************************************************
+      if(.not. isvar("legend_label_reduction"))then
+      
+      	 
+         legend_label_stride = 2
+	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --axes_explicit-- EXPLICIT SETTINGS OF X- AND Y-AXES ARE SWITCHED ON
+      ;
+      ; to use several parameters to set up the axes, 'axes_explicit' must be switched [=1]; if switched off [=0] units of axes are [gridpoints]
+      ;
+      ; data type: integer
+      ;
+      ; example: axes_explicit = 0
+      ;
+      ; default:   0 
+      ;***************************************************
+      if(.not. isvar("axes_explicit"))then
+      
+      	 
+         axes_explicit = 0
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL if axes_explicit = 1 --major_ticks_x-- NUMBER OF MAJOR TICK MARKS AT X-AXIS
+      ;
+      ; major_ticks_x can be set to any integer, best segmentation of x-axis can be achieved, if 
+      ; (number of gripdpoints in x-direction)/(major_ticks_x-1)=INTEGER, e.g. 128/8 = 16 -> major_ticks_x should be set to 9
+      ;
+      ; data type: integer
+      ;
+      ; example: major_ticks_x = 6
+      ;
+      ; default:   6 
+      ;***************************************************
+      if(.not. isvar("major_ticks_x"))then
+      
+      	 
+         major_ticks_x = 6
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL if axes_explicit = 1 --major_ticks_y-- NUMBER OF MAJOR TICK MARKS AT Y-AXIS
+      ;
+      ; major_ticks_y can be set to any integer, best segmentation of y-axis can be achieved, if 
+      ; (number of gripdpoints in y-direction)/(major_ticks_y-1)=INTEGER, e.g. 128/8 = 16 -> major_ticks_y should be set to 9
+      ;
+      ; data type: integer
+      ;
+      ; example: major_ticks_y = 6
+      ;
+      ; default:   6 
+      ;***************************************************
+      if(.not. isvar("major_ticks_y"))then
+      
+      	 
+         major_ticks_y = 6
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL if axes_explicit = 1 --norm_x--norm_y--norm_z-- NORMALISE X-, Y- and Z-AXES
+      ;
+      ; normalising the axes with the given value; units can explicitly set; by default no normalising is used and units are [meter]
+      ;
+      ; data type: float
+      ;
+      ; default:   1. 
+      ;***************************************************
+      if(.not. isvar("norm_x"))then      
+      	 
+         norm_x = 1.	 
+	 
+      end if
+      if(.not. isvar("norm_y"))then      
+      	 
+         norm_y = 1.	 
+	 
+      end if
+      if(.not. isvar("norm_z"))then      
+      	 
+         norm_z = 1.	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL if axes_explicit = 1 --unit_x--unit_y--unit_z-- UNITS OF X-, Y- and Z-AXES
+      ;
+      ; units of the axes can be set; by default no units are given, if norm_x, norm_y or norm_z are unequal 1., otherwise units are [meter]
+      ;
+      ; data type: string, 
+      ;
+      ; example: unit_x = "m/s"
+      ;
+      ; default:   " " 
+      ;***************************************************
+      if(.not. isvar("unit_x"))then      
+      	 
+         unit_x = " "	 
+	 
+      end if
+      if(.not. isvar("unit_y"))then      
+      	 
+         unit_y = " "	 
+	 
+      end if
+      if(.not. isvar("unit_z"))then      
+      	 
+         unit_z = " "	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --vector-- VECTOR PLOT 
+      ;
+      ; a vector plot for one defined vector is switched on [=1] or off [=0]
+      ;
+      ; data type: integer
+      ;
+      ; example: vector = 0
+      ;
+      ; default:   0 
+      ;***************************************************
+      if(.not. isvar("vector"))then
+      
+      	 
+         vector = 0
+	 
+	 
       end if	 
       ;***************************************************
-      ; OPTIONAL --vector-- VECTOR PLOT 
-      ;
-      ; a vector plot for one defined vector will be switched on [=1] or off [=0]
-      ;
-      ; data type: integer
-      ;
-      ; default:   0 
-      ;***************************************************
-      if(.not. isvar("vector"))then
-      
-      	 
-         vector = 0
-	 
+      ; REQUIRED IF vector=1 --vec1, vec2-- VECTOR FOR VECTOR PLOT 
+      ;
+      ; variables for the vector, vec1 hast to be set to component 1 and vec2 to component 2;
+      ; inidcate them with one comma before and after each variable;
+      ;
+      ; data type: string
+      ;
+      ; example: vec1=",u,"
+      ;          vec2=",v,"
+      ;
+      ; default:   vec1 = "component1", vec2 = "component2" 
+      ;***************************************************
+      if(.not. isvar("vec1"))then     
+      	 
+         vec1 = "component1"
+	 
+      end if
+      if (.not. isvar("vec2"))then 
+      
+	 vec2 = "component2"	 
 	 
       end if	 
       ;***************************************************
-      ; REQUIRED IF vector=1 --vec1, vec2-- VECTOR FOR VECTOR PLOT 
-      ;
-      ; variables for the vector, vec1 hast to be set to component 1 and vec2 to component 2;
-      ; please inidcate them with one comma before and after each variable;
-      ; e.g.: vec1=",u," and vec2=",v," for plotting the horizontal windvector
-      ;
-      ; data type: string
-      ;
-      ; default:   vec1 = "component1", vec2 = "component2" 
-      ;***************************************************
-      if(.not. isvar("vec1"))then     
-      	 
-         vec1 = "component1"
-	 
-      end if
-      if (.not. isvar("vec2"))then 
-      
-	 vec2 = "component2"	 
+      ; OPTIONAL --plotvec-- VARIABLE FOR EXTRA VECTOR PLOT
+      ;
+      ; the vector plot can be combined with other plots of variables; if this is desired inidcate the variables, 
+      ; where a vector plot shall overlay; inidcate them with one comma before and after each variable
+      ;
+      ; data type: string
+      ;
+      ; example: plotvec = ",u,w,"
+      ;
+      ; default:   "plotvec" (no combining, the vector plot is created seperately) 
+      ;***************************************************
+      if(.not. isvar("plotvec"))then
+      
+      	 
+         plotvec = "plotvec"
+	 
 	 
       end if	 
       ;***************************************************
-      ; OPTIONAL --plotvec-- VARIABLE FOR EXTRA VECTOR PLOT
-      ;
-      ; the vector plot can be combined with other variables; if desired inidcate the variables 
-      ; with one comma before and after it; e.g. plotvec=",u,v,w," (the vector plot 
-      ; will combined with the contour plots of u, v and w)
-      ;
-      ; data type: string
-      ;
-      ; default:   plotvec (no combining, the vector plot will be created seperately) 
-      ;***************************************************
-      if(.not. isvar("plotvec"))then
-      
-      	 
-         plotvec = "plotvec"
-	 
-	 
-      end if	 
-      ;***************************************************
       ; OPTIONAL --ref_mag-- REFERENCE VECTOR 
       ;
@@ -399,4 +638,6 @@
       ;
       ; data type: float
+      ;
+      ; example: ref_mag = 0.05
       ;
       ; default:   0.05 
@@ -420,16 +661,57 @@
 
       ;***************************************************
-      ; REQUIRED --file_1-- INPUT FILE
-      ;
-      ; input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      ; REQUIRED --file_1-- 1ST INPUT FILE
+      ;
+      ; 1st input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_1 = "/path_to_file/file_pr"      if you use more than one cycle number
+      ;          file_1 = "/path_to_file/file_pr.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_1"))then
-      
-      
-         file_1 = "File in"
+      if(.not. isvar("file_1"))then
+
+
+         file_1 = "File in" 
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --start_f_1-- START OF CYCLIC NUMBER OF THE 1ST INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f_1"))then  
+      
+          
+         start_f_1 = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --end_f_1-- END OF CYCLIC NUMBER OF THE 1ST INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f_1"))then  
+      
+          
+         end_f_1 = -1 
 	 
 	 
@@ -470,5 +752,5 @@
       ; OPTIONAL --file_out-- OUTPUT FILE
       ;
-      ; please declare path and name 
+      ; declare path and name of the output file
       ;
       ; data type: string
@@ -484,5 +766,5 @@
       end if 	 
       ;***************************************************
-      ; OPTIONAL --no_columns-- NUMBER OF ROWS
+      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
       ;
       ; number of plots in one row 
@@ -500,5 +782,5 @@
       end if 	 
       ;***************************************************
-      ; OPTIONAL --no_lines-- NUMBER OF COLUMNS
+      ; OPTIONAL --no_rows-- NUMBER OF ROWS
       ;
       ; number of plots in one column 
@@ -508,8 +790,8 @@
       ; default:   2 
       ;***************************************************
-      if (.not. isvar("no_lines"))then	
+      if (.not. isvar("no_rows"))then	
       
        
-         no_lines = 2
+         no_rows = 2
 	 
 	 
@@ -518,10 +800,11 @@
       ; OPTIONAL --var-- OUTPUT VARIABLES
       ;
-      ; names of output variables; please inidcate them with one comma before and after each variable;
-      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be plotted)
+      ; names of output variables; inidcate them with one comma before and after each variable
       ;
       ; data type: string 
-      ;
-      ; default:   "all" (all available variables will be plotted)
+      ; 
+      ; example: var = ",u,v,w"; 
+      ;
+      ; default:   "all" (all available variables are plotted)
       ;***************************************************
       if (.not. isvar("var"))then
@@ -535,8 +818,8 @@
       ; OPTIONAL ---no_files-- NUMBER OF INPUT FILES
       ;
-      ; up to 12 input files can be used; all input files must contain the same variables and dimensionalties;
-      ; identical variables will be merged in one plot;
+      ; up to 6 input files of different runs can be used; all input files must contain the same variables and dimensionalties;
+      ; identical variables are merged in one plot;
       ; combining or overlaying of any variables is not feasible;
-      ; an extra legend (besides the time step legend) will be drawn where you can explicitily name the items
+      ; an extra legend (besides the time step legend) is drawn where you can explicitily name the items
       ;
       ; data type: integer
@@ -566,21 +849,62 @@
 	 
 	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 1 --file_2-- 2nd INPUT FILE
-      ;
-      ; 2nd input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      end if
+      ;***************************************************
+      ; REQUIRED if no_files > 1 --file_2-- 2ND INPUT FILE
+      ;
+      ; 2nd input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_2 = "/path_to_file/file_pr"      if you use more than one cycle number
+      ;          file_2 = "/path_to_file/file_pr.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_2"))then  
+      if(.not. isvar("file_2"))then
+
+
+         file_2 = "File in" 
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --start_f_2-- START OF CYCLIC NUMBER OF THE 2ND INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f_2"))then  
       
           
-         file_2 = "File in"
-	 
-	 
-      end if 	 
+         start_f_2 = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --end_f_2-- END OF CYCLIC NUMBER OF THE 2ND INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f_2"))then  
+      
+          
+         end_f_2 = -1 
+	 
+	 
+      end if 	 	 
       ;***************************************************
       ; OPTIONAL --name_legend_2-- 2nd LEGEND ITEM
@@ -598,21 +922,62 @@
 	 
 	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 2 --file_3-- 3rd INPUT FILE
-      ;
-      ; 3rd input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      end if 
+      ;***************************************************
+      ; REQUIRED if no_files > 2 --file_3-- 3RD INPUT FILE
+      ;
+      ; 3rd input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_3 = "/path_to_file/file_pr"      if you use more than one cycle number
+      ;          file_3 = "/path_to_file/file_pr.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_3"))then    
-      
-        
-         file_3 = "File in"
-	 
-	 
-      end if 	 
+      if(.not. isvar("file_3"))then
+
+
+         file_3 = "File in" 
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --start_f_3-- START OF CYCLIC NUMBER OF THE 3RD INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f_3"))then  
+      
+          
+         start_f_3 = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --end_f_3-- END OF CYCLIC NUMBER OF THE 3RD INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f_3"))then  
+      
+          
+         end_f_3 = -1 
+	 
+	 
+      end if   
       ;***************************************************
       ; OPTIONAL --name_legend_3-- 3rd LEGEND ITEM
@@ -630,21 +995,62 @@
 	 
 	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 3 --file_4-- 4th INPUT FILE
-      ;
-      ; 4th input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      end if
+      ;***************************************************
+      ; REQUIRED if no_files > 3 --file_4-- 4TH INPUT FILE
+      ;
+      ; 4th input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_4 = "/path_to_file/file_pr"      if you use more than one cycle number
+      ;          file_4 = "/path_to_file/file_pr.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_4"))then
-      
-            
-         file_4 = "File in"
-	 
-	 
-      end if 	 
+      if(.not. isvar("file_4"))then
+
+
+         file_4 = "File in" 
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --start_f_4-- START OF CYCLIC NUMBER OF THE 4TH INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f_4"))then  
+      
+          
+         start_f_4 = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --end_f_4-- END OF CYCLIC NUMBER OF THE 4TH INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f_4"))then  
+      
+          
+         end_f_4 = -1 
+	 
+	 
+      end if  
       ;***************************************************
       ; OPTIONAL --name_legend_4-- 4th LEGEND ITEM
@@ -662,21 +1068,62 @@
 	 
 	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 4 --file_5-- 5th INPUT FILE
-      ;
-      ; 5th input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      end if
+      ;***************************************************
+      ; REQUIRED if no_files > 4 --file_5-- 5TH INPUT FILE
+      ;
+      ; 5th input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_5 = "/path_to_file/file_pr"      if you use more than one cycle number
+      ;          file_5 = "/path_to_file/file_pr.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_5"))then 
-      
-           
-         file_5 = "File in"
-	 
-	 
-      end if 	 
+      if(.not. isvar("file_5"))then
+
+
+         file_5 = "File in" 
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --start_f_5-- START OF CYCLIC NUMBER OF THE 5TH INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f_5"))then  
+      
+          
+         start_f_5 = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --end_f_5-- END OF CYCLIC NUMBER OF THE 5TH INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f_5"))then  
+      
+          
+         end_f_5 = -1 
+	 
+	 
+      end if   	 
       ;***************************************************
       ; OPTIONAL --name_legend_5-- 5th LEGEND ITEM
@@ -694,23 +1141,64 @@
 	 
 	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 5 --file_6-- 6th INPUT FILE
-      ;
-      ; 6th input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      end if
+      ;***************************************************
+      ; REQUIRED if no_files > 5 --file_6-- 6TH INPUT FILE
+      ;
+      ; 6th input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_6 = "/path_to_file/file_pr"      if you use more than one cycle number
+      ;          file_6 = "/path_to_file/file_pr.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_6"))then   
-      
-         
-         file_6 = "File in"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --name_legend_6-- 6th LEGEND ITEM
+      if(.not. isvar("file_6"))then
+
+
+         file_6 = "File in" 
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --start_f_6-- START OF CYCLIC NUMBER OF THE 6TH INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f_6"))then  
+      
+          
+         start_f_6 = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --end_f_6-- END OF CYCLIC NUMBER OF THE 6TH INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f_6"))then  
+      
+          
+         end_f_6 = -1 
+	 
+	 
+      end if       	  	 
+      ;***************************************************
+      ; OPTIONAL --name_legend_6-- 6TH LEGEND ITEM
       ;
       ; if no_files > 5: name of 6th item in extra legend
@@ -726,204 +1214,14 @@
 	 
 	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 6 --file_7-- 7th INPUT FILE
-      ;
-      ; 7th input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
-      ;
-      ; default:   "File in" 
-      ;***************************************************
-      if (.not. isvar("file_7"))then 
-      
-           
-         file_7 = "File in"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --name_legend_7-- 7th LEGEND ITEM
-      ;
-      ; if no_files > 6: name of 7th item in extra legend
-      ;
-      ; data type: string
-      ;
-      ; default:   "File 7" 
-      ;***************************************************
-      if (.not. isvar("name_legend_7"))then 
-      
-           
-         name_legend_7 = "File 7"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 7 --file_8-- 8th INPUT FILE
-      ;
-      ; 8th input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
-      ;
-      ; default:   "File in" 
-      ;***************************************************
-      if (.not. isvar("file_8"))then 
-      
-           
-         file_8 = "File in"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --name_legend_8-- 8th LEGEND ITEM
-      ;
-      ; if no_files > 1: name of 8th item in extra legend
-      ;
-      ; data type: string
-      ;
-      ; default:   "File 8" 
-      ;***************************************************
-      if (.not. isvar("name_legend_8"))then   
-      
-         
-         name_legend_8 = "File 8"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 8 --file_9-- 9th INPUT FILE
-      ;
-      ; 9th input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
-      ;
-      ; default:   "File in" 
-      ;***************************************************
-      if (.not. isvar("file_9"))then
-      
-            
-         file_9 = "File in"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --name_legend_9-- 9th LEGEND ITEM
-      ;
-      ; if no_files > 8: name of 9th item in extra legend
-      ;
-      ; data type: string
-      ;
-      ; default:   "File 9" 
-      ;***************************************************
-      if (.not. isvar("name_legend_9"))then 
-      
-           
-         name_legend_9 = "File 9"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 9 --file_10-- 10th INPUT FILE
-      ;
-      ; 10th input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
-      ;
-      ; default:   "File in" 
-      ;***************************************************
-      if (.not. isvar("file_10"))then
-      
-            
-         file_10 = "File in"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --name_legend_10-- 10th LEGEND ITEM
-      ;
-      ; if no_files > 9: name of 10th item in extra legend
-      ;
-      ; data type: string
-      ;
-      ; default:   "File 10" 
-      ;***************************************************
-      if (.not. isvar("name_legend_10"))then  
-      
-          
-         name_legend_10 = "File 10"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 10 --file_11-- 11th INPUT FILE
-      ;
-      ; 11th input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
-      ;
-      ; default:   "File in" 
-      ;***************************************************
-      if (.not. isvar("file_11"))then 
-      
-           
-         file_11 = "File in"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --name_legend_11-- 11th LEGEND ITEM
-      ;
-      ; if no_files > 1: name of 11th item in extra legend
-      ;
-      ; data type: string
-      ;
-      ; default:   "File 11" 
-      ;***************************************************
-      if (.not. isvar("name_legend_11"))then 
-      
-           
-         name_legend_11 = "File 11"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 11 --file_12-- 12th INPUT FILE
-      ;
-      ; 12th input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
-      ;
-      ; default:   "File in" 
-      ;***************************************************
-      if (.not. isvar("file_12"))then 
-      
-           
-         file_12 = "File in"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --name_legend_12-- 12th LEGEND ITEM
-      ;
-      ; if no_files > 11: name of 12th item in extra legend
-      ;
-      ; data type: string
-      ;
-      ; default:   "File 12" 
-      ;***************************************************
-      if (.not. isvar("name_legend_12"))then 
-      
-           
-         name_legend_12 = "File 12"
-	 
-	 
-      end if 	 
+      end if 	  	 
       ;***************************************************
       ; OPTIONAL --start_time_step-- FIRST TIME STEP
       ;
-      ; first time step of plot; you don't have to specify a precise time value from the input file,
-      ; it will be rounded to the next existent time step
+      ; first time step of plot; there is no need to specify a precise time value from the input file,
+      ; 'start_time_step' is rounded to the next existent time step
       ;
       ; data type: double; dimension: [hour]
+      ;
+      ; example:   start_time_step = 0.5
       ;
       ; default:   -1.d (first available time step)
@@ -939,9 +1237,11 @@
       ; OPTIONAL --end_time_step-- LAST TIME STEP
       ;
-      ; last time step of plot; you don't have to specify a precise time value from the input file,
-      ; it will be rounded to the next existent time step
+      ; last time step of plot; there is no need to specify a precise time value from the input file,
+      ; 'end_time_step' is rounded to the next existent time step
       ;
       ; data type: double; dimension: [hour]
       ;
+      ; example:   end_time_step = 2.0
+      ;
       ; default:   -1.d (last available time step)
       ;***************************************************
@@ -949,8 +1249,80 @@
       
       	 
-         end_time_step = -1.d      
-	 
-	 
-      end if 	 
+         end_time_step = -1.d     
+	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --start_x-- STARTVALUE IN X-DIRECTION  
+      ;
+      ; if 3D data is used for profiles you can choose a startvalue in x-direction for horizontal averaging 
+      ;
+      ; data type: integer; dimension [grippoint]
+      ;
+      ; example: start_x = 0
+      ;
+      ; default:   0 (minimum of range)
+      ;***************************************************
+      if (.not. isvar("start_x"))then   
+      
+         
+         start_x = 0
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --end_x-- ENDVALUE IN X-DIRECTION  
+      ;
+      ; if 3D data is used for profiles you can choose an endvalue in x-direction for horizontal averaging 
+      ;
+      ; data type: integer; dimension [grippoint]
+      ;
+      ; example: end_x = 200
+      ;
+      ; default:   -1 (maximum of range excluding ghostpoint)
+      ;***************************************************
+      if (.not. isvar("end_x"))then   
+      
+         
+         end_x = -1
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --start_y-- STARTVALUE IN Y-DIRECTION  
+      ;
+      ; if 3D data is used for profiles you can choose a startvalue in y-direction for horizontal averaging 
+      ;
+      ; data type: integer; dimension [grippoint]
+      ;
+      ; example: start_y = 0
+      ;
+      ; default:   0 (minimum of range)
+      ;***************************************************
+      if (.not. isvar("start_y"))then   
+      
+         
+         start_y = 0
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --end_y-- ENDVALUE IN Y-DIRECTION  
+      ;
+      ; if 3D data is used for profiles you can choose an endvalue in y-direction for horizontal averaging 
+      ;
+      ; data type: integer; dimension [grippoint]
+      ;
+      ; example: end_y = 200
+      ;
+      ; default:   -1 (maximum of range excluding ghostpoint)
+      ;***************************************************
+      if (.not. isvar("end_y"))then   
+      
+         
+         end_y = -1
+	 
+	 
+      end if	 
       ;***************************************************
       ; OPTIONAL --xs-- MINIMUM X-AXIS 
@@ -959,4 +1331,6 @@
       ;
       ; data type: float; dimension of variable
+      ;
+      ; example: xs = 300. (e.g. if var=",pt")
       ;
       ; default:   -1. (minimum of range)
@@ -976,4 +1350,6 @@
       ; data type: float; dimension of variable
       ;
+      ; example: xe = 302. (e.g. if var=",pt")
+      ;
       ; default:   -1. (maximum of range)
       ;***************************************************
@@ -992,4 +1368,6 @@
       ; data type: double; dimension: [meter]
       ;
+      ; example: min_z = 0.0
+      ;
       ; default:   -1.d (related to the minimum of z-axis in input file)
       ;***************************************************
@@ -1008,4 +1386,6 @@
       ; data type: double; dimension: [meter]
       ;
+      ; example: max_z = 1000.0
+      ;
       ; default:   -1.d (related to the maximum of z-axis in input file)
       ;***************************************************
@@ -1018,32 +1398,36 @@
       end if 	 
       ;***************************************************
-      ; OPTIONAL --logy-- LOGARITHMIC SCALE 
-      ;
-      ; logarithmic scale for y-axis will be switched on [=1] or off [=0]
-      ;
-      ; data type: integer
+      ; OPTIONAL --log_z-- LOGARITHMIC SCALE OF Z-AXIS 
+      ;
+      ; logarithmic scale for z-axis is switched on [=1] or off [=0]
+      ;
+      ; data type: integer
+      ;
+      ; example: log_z = 0
       ;
       ; default:   0
       ;***************************************************
-      if (.not. isvar("logy"))then 
+      if (.not. isvar("log_z"))then 
       
            
-         logy = 0
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --norm-- NORMALISE Y-AXIS 
-      ;
-      ; value for normalising the y-axis
+         log_z = 0
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --norm_z-- NORMALISING Z-AXIS 
+      ;
+      ; value for normalising the z-axis
       ;
       ; data type: float
       ;
-      ; default:   1 (no normalising)
-      ;***************************************************
-      if (.not. isvar("norm"))then 
+      ; example: norm_z = 1.
+      ;
+      ; default:   1. (no normalising)
+      ;***************************************************
+      if (.not. isvar("norm_z"))then 
       
            
-         norm = 1
+         norm_z = 1.
 	 
 	 
@@ -1052,9 +1436,11 @@
       ; OPTIONAL --over-- OVERLAYING
       ;
-      ; predefined overlaying of standard variables will be switched on [=1] or off [=0];
+      ; predefined overlaying of standard variables is switched on [=1] or off [=0];
       ; this feature cannot be used with statistic regions
       ;
       ; data type: integer
       ;
+      ; example: over = 0
+      ;
       ; default:   0 
       ;***************************************************
@@ -1072,4 +1458,6 @@
       ;
       ; data type: integer
+      ;
+      ; example: combine = 0
       ;
       ; default:   0
@@ -1089,4 +1477,6 @@
       ; data type: integer
       ;
+      ; example: number_comb = 2
+      ;
       ; default:   -1
       ;***************************************************
@@ -1101,8 +1491,9 @@
       ; REQUIRED IF combine=1 --c_var-- VARIABLES FOR COMBINING 
       ;
-      ; names of variables; please inidcate them with one comma before and after each variable;
-      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be combined)
-      ;
-      ; data type: string
+      ; names of variables; inidcate them with one comma before and after each variable;
+      ;
+      ; data type: string
+      ;
+      ; example: c_var = ",u,v,"
       ;
       ; default:   "c_variables"
@@ -1122,4 +1513,6 @@
       ; data type: integer
       ;
+      ; example: black = 0
+      ;
       ; default:   0
       ;***************************************************
@@ -1138,4 +1531,6 @@
       ; data type: integer
       ;
+      ; example: dash = 0
+      ;
       ; default:   0
       ;***************************************************
@@ -1144,4 +1539,40 @@
        
          dash = 0      
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --font_size-- FONT SIZE OF STRINGS 
+      ;
+      ; font size can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size = 0.02
+      ;
+      ; default:   0.02 
+      ;***************************************************
+      if(.not. isvar("font_size"))then
+      
+      	 
+         font_size = 0.02
+	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --font_size_legend-- FONT SIZE OF LEGEND STRINGS 
+      ;
+      ; font size of the legend can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size_legend = 0.2
+      ;
+      ; default:   0.2 
+      ;***************************************************
+      if(.not. isvar("font_size_legend"))then
+      
+      	 
+         font_size_legend = 0.2
 	 
 	 
@@ -1160,23 +1591,66 @@
       ; REQUIRED --file_1-- INPUT FILE
       ;
-      ; input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      ; input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_1 = "/path_to_file/file_sp"      if you use more than one cycle number
+      ;          file_1 = "/path_to_file/file_sp.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_1"))then  
+      if(.not. isvar("file_1"))then
+
+
+         file_1 = "File in" 
+	 
+	 
+      end if
+      ;***************************************************
+      ; REQUIRED if more than one file of a job chain --start_f-- START OF CYCLIC NUMBER
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   start_f = 3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f"))then  
       
           
-         file_1 = "File in"
-	 
-	 
-      end if 	 
+         start_f = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED if more than one file of a job chain --end_f-- END OF CYCLIC NUMBER
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   end_f = 48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f"))then  
+      
+          
+         end_f = -1
+	 
+	 
+      end if
       ;***************************************************
       ; OPTIONAL --format_out-- OUTPUT FORMAT
       ;
-      ; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
-      ;
-      ; data type: string
+      ; format of the output file; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
+      ;
+      ; data type: string
+      ;
+      ; example: format_out = "pdf"
       ;
       ; default:   "x11" 
@@ -1192,7 +1666,9 @@
       ; OPTIONAL --file_out-- OUTPUT FILE
       ;
-      ; please declare path and name 
-      ;
-      ; data type: string
+      ; path and name of the output file
+      ;
+      ; data type: string
+      ;
+      ; example: file_out = "/home/path_to_output/test_sp"
       ;
       ; default:   "~/test_sp" 
@@ -1206,9 +1682,11 @@
       end if 	 
       ;***************************************************
-      ; OPTIONAL --no_columns-- NUMBER OF ROWS
+      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
       ;
       ; number of plots in one row 
       ;
       ; data type: integer
+      ; 
+      ; example: no_columns = 1
       ;
       ; default:   1
@@ -1222,16 +1700,18 @@
       end if 	 
       ;***************************************************
-      ; OPTIONAL --no_lines-- NUMBER OF COLUMNS
+      ; OPTIONAL --no_rows-- NUMBER OF ROWS
       ;
       ; number of plots in one column 
       ;
       ; data type: integer
+      ; 
+      ; example: no_rows = 2
       ;
       ; default:   2 
       ;***************************************************
-      if (.not. isvar("no_lines"))then
-      
-      	 
-         no_lines = 2
+      if (.not. isvar("no_rows"))then
+      
+      	 
+         no_rows = 2
 	 
 	 
@@ -1240,10 +1720,11 @@
       ; OPTIONAL --var-- OUTPUT VARIABLES
       ;
-      ; names of output variables; please inidcate them with one comma before and after each variable;
-      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be plotted)
+      ; names of output variables; inidcate them with one comma before and after each variable
       ;
       ; data type: string 
-      ;
-      ; default:   "all" (all available variables will be plotted)
+      ; 
+      ; example: var = ",u,v,w"
+      ;
+      ; default:   "all" (all available variables are plotted)
       ;***************************************************
       if (.not. isvar("var"))then
@@ -1257,11 +1738,12 @@
       ; OPTIONAL --height_level-- HEIGHT LEVELS 
       ;
-      ; defines if all heights or selected heights will be output; a 1D array with up to 10 elements
-      ; from 0 to 9 must be indicated, e.g.: height_level=(/0,3,7/) (level 0, 3 and 7 as in input file
-      ; will be output)
+      ; defines if all levels or selected levels are output; a 1D array with up to 100 elements
+      ; from 0 to 99 must be indicated
       ;
       ; data type: integer array
       ;
-      ; default:   (/-1/) (all levels will be output)
+      ; example: height_level=(/0,3,7/)
+      ;
+      ; default:   (/-1/) (all levels are output)
       ;***************************************************
       if (.not. isvar("height_level"))then
@@ -1275,7 +1757,9 @@
       ; OPTIONAL --sort-- TYPE OF SORTING 
       ;
-      ; defines if all heights [="height"] or all timesteps [="time"] will be merged in one plot
-      ;
-      ; data type: string
+      ; defines if all heights [="height"] or all timesteps [="time"] are merged in one plot
+      ;
+      ; data type: string
+      ;
+      ; example: sort = "height"
       ;
       ; default:   "height" 
@@ -1291,9 +1775,11 @@
       ; OPTIONAL --start_time_step-- FIRST TIME STEP
       ;
-      ; first time step of plot; you don't have to specify a precise time value from the input file,
-      ; it will be rounded to the next existent time step
+      ; first time step of plot; there is no need to specify a precise time value from the input file,
+      ; 'start_time_step' is rounded to the next existent time step
       ;
       ; data type: double; dimension: [hour]
       ;
+      ; example:   start_time_step = 0.5 
+      ;
       ; default:   -1.d (first available time step)
       ;***************************************************
@@ -1308,9 +1794,11 @@
       ; OPTIONAL --end_time_step-- LAST TIME STEP
       ;
-      ; last time step of plot; you don't have to specify a precise time value from the input file,
-      ; it will be rounded to the next existent time step
+      ; last time step of plot; there is no need to specify a precise time value from the input file,
+      ; 'end_time_step' is rounded to the next existent time step
       ;
       ; data type: double; dimension: [hour]
       ;
+      ; example:   end_time_step = 2.0
+      ;
       ; default:   -1.d (last available time step)
       ;***************************************************
@@ -1328,4 +1816,6 @@
       ;
       ; data type: integer
+      ;
+      ; example: black = 0
       ;
       ; default:   0
@@ -1345,4 +1835,6 @@
       ; data type: integer
       ;
+      ; example: dash = 0
+      ;
       ; default:   0
       ;***************************************************
@@ -1355,37 +1847,41 @@
       end if 
       ;***************************************************
-      ; OPTIONAL --logx-- LOGARITHMIC SCALE X-AXIS
-      ;
-      ; logarithmic scale for x-axis will be switched on [=1] or off [=0]
-      ;
-      ; data type: integer
+      ; OPTIONAL --log_x-- LOGARITHMIC SCALE X-AXIS
+      ;
+      ; logarithmic scale for x-axis is switched on [=1] or off [=0]
+      ;
+      ; data type: integer
+      ;
+      ; example: log_x = 1
       ;
       ; default:   1
       ;***************************************************
-      if (.not. isvar("logx"))then   
+      if (.not. isvar("log_x"))then   
       
          
-         logx = 1
+         log_x = 1
 	 
 	 
       end if	 
       ;***************************************************
-      ; OPTIONAL --logy-- LOGARITHMIC SCALE Y-AXIS 
-      ;
-      ; logarithmic scale for y-axis will be switched on [=1] or off [=0]
-      ;
-      ; data type: integer
+      ; OPTIONAL --log_y-- LOGARITHMIC SCALE Y-AXIS 
+      ;
+      ; logarithmic scale for y-axis is switched on [=1] or off [=0]
+      ;
+      ; data type: integer
+      ;
+      ; example: log_y = 1
       ;
       ; default:   1
       ;***************************************************
-      if (.not. isvar("logy"))then   
+      if (.not. isvar("log_y"))then   
       
          
-         logy = 1
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --normx-- NORMALISE X-AXIS 
+         log_y = 1
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --norm_x-- NORMALISING X-AXIS 
       ;
       ; value for normalising the x-axis
@@ -1393,15 +1889,35 @@
       ; data type: float
       ;
+      ; example: norm_x = 1
+      ;
       ; default:   1. (no normalising)
       ;***************************************************
-      if (.not. isvar("normx"))then   
+      if (.not. isvar("norm_x"))then   
       
          
-         normx = 1.
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --normy-- NORMALISE Y-AXIS 
+         norm_x = 1.
+	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --norm_height-- NORMALISING X-AXIS WITH HEIGHT
+      ;
+      ; normalising the x-axis with the height of each spectra is switched on [=1] or off [=0]
+      ;
+      ; data type: integer
+      ;
+      ; example: norm_height = 0
+      ;
+      ; default:   0 (no normalising)
+      ;***************************************************
+      if (.not. isvar("norm_height"))then   
+      
+         
+         norm_height = 0
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --norm_y-- NORMALISE Y-AXIS 
       ;
       ; value for normalising the y-axis
@@ -1409,13 +1925,72 @@
       ; data type: float
       ;
+      ; example: norm_y = 1.
+      ;
       ; default:   1. (no normalising)
       ;***************************************************
-      if (.not. isvar("normy"))then     
+      if (.not. isvar("norm_y"))then     
       
        
-         normy = 1.
-	 
-	 
-      end if 	 
+         norm_y = 1.
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --unit_x--unit_y-- UNITS OF X-, Y-AXES
+      ;
+      ; unit of the x-axis can be set if norm_x is unequal 1, otherwise the unit is [1/m]; by default no unit is set for the y-axis 
+      ; 
+      ; data type: string, 
+      ;
+      ; example: unit_x = "100/m"
+      ;
+      ; default:   " " 
+      ;***************************************************
+      if(.not. isvar("unit_x"))then      
+      	 
+         unit_x = " "	 
+	 
+      end if
+      if(.not. isvar("unit_y"))then      
+      	 
+         unit_y = " "	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --font_size-- FONT SIZE OF STRINGS 
+      ;
+      ; font size can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size = 0.02
+      ;
+      ; default:   0.02 
+      ;***************************************************
+      if(.not. isvar("font_size"))then
+      
+      	 
+         font_size = 0.02
+	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --font_size_legend-- FONT SIZE OF LEGEND STRINGS 
+      ;
+      ; font size of the legend can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size_legend = 0.2
+      ;
+      ; default:   0.2 
+      ;***************************************************
+      if(.not. isvar("font_size_legend"))then
+      
+      	 
+         font_size_legend = 0.2
+	 
+	 
+      end if	 
       ;***************************************************
      
@@ -1431,23 +2006,66 @@
       ; REQUIRED --file_1-- INPUT FILE
       ;
-      ; input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      ; input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_1 = "/path_to_file/file_ts"      if you use more than one cycle number
+      ;          file_1 = "/path_to_file/file_ts.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_1"))then  
+      if(.not. isvar("file_1"))then
+
+
+         file_1 = "File in" 
+	 
+	 
+      end if
+      ;***************************************************
+      ; REQUIRED if more than one file of a job chain --start_f-- START OF CYCLIC NUMBER
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   start_f = 3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f"))then  
       
           
-         file_1 = "File in"
-	 
-	 
-      end if 	 
+         start_f = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED if more than one file of a job chain --end_f-- END OF CYCLIC NUMBER
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   end_f = 48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f"))then  
+      
+          
+         end_f = -1
+	 
+	 
+      end if 
       ;***************************************************
       ; OPTIONAL --format_out-- OUTPUT FORMAT
       ;
-      ; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
-      ;
-      ; data type: string
+      ; format of the output file; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
+      ;
+      ; data type: string
+      ;
+      ; example: format_out = "pdf"
       ;
       ; default:   "x11" 
@@ -1463,7 +2081,9 @@
       ; OPTIONAL --file_out-- OUTPUT FILE
       ;
-      ; please declare path and name 
-      ;
-      ; data type: string
+      ; path and name of the output file
+      ;
+      ; data type: string
+      ;
+      ; example: file_out = "/home/path_to_output/test_ts"
       ;
       ; default:   "~/test_ts" 
@@ -1477,9 +2097,11 @@
       end if 	 
       ;***************************************************
-      ; OPTIONAL --no_columns-- NUMBER OF ROWS
+      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
       ;
       ; number of plots in one row 
       ;
       ; data type: integer
+      ; 
+      ; example: no_columns = 1
       ;
       ; default:   1
@@ -1493,16 +2115,18 @@
       end if 	 
       ;***************************************************
-      ; OPTIONAL --no_lines-- NUMBER OF COLUMNS
+      ; OPTIONAL --no_rows-- NUMBER OF ROWS
       ;
       ; number of plots in one column 
       ;
       ; data type: integer
+      ; 
+      ; example: no_rows = 2
       ;
       ; default:   2 
       ;***************************************************
-      if (.not. isvar("no_lines"))then
-      
-      	 
-         no_lines = 2
+      if (.not. isvar("no_rows"))then
+      
+      	 
+         no_rows = 2
 	 
 	 
@@ -1511,10 +2135,11 @@
       ; OPTIONAL --var-- OUTPUT VARIABLES
       ;
-      ; names of output variables; please inidcate them with one comma before and after each variable;
-      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be plotted)
+      ; names of output variables; inidcate them with one comma before and after each variable
       ;
       ; data type: string 
-      ;
-      ; default:   "all" (all available variables will be plotted)
+      ; 
+      ; example: var = ",u,v,w"
+      ;
+      ; default:   "all" (all available variables are plotted)
       ;***************************************************
       if (.not. isvar("var"))then
@@ -1528,9 +2153,11 @@
       ; OPTIONAL --start_time_step-- FIRST TIME STEP
       ;
-      ; first time step of plot; you don't have to specify a precise time value from the input file,
-      ; it will be rounded to the next existent time step
+      ; first time step of plot; there is no need to specify a precise time value from the input file,
+      ; 'start_time_step' is rounded to the next existent time step
       ;
       ; data type: double; dimension: [hour]
       ;
+      ; example:   start_time_step = 0.5 
+      ;
       ; default:   -1.d (first available time step)
       ;***************************************************
@@ -1545,9 +2172,11 @@
       ; OPTIONAL --end_time_step-- LAST TIME STEP
       ;
-      ; last time step of plot; you don't have to specify a precise time value from the input file,
-      ; it will be rounded to the next existent time step
+      ; last time step of plot; there is no need to specify a precise time value from the input file,
+      ; 'end_time_step' is rounded to the next existent time step
       ;
       ; data type: double; dimension: [hour]
       ;
+      ; example:   end_time_step = 2.0
+      ;
       ; default:   -1.d (last available time step)
       ;***************************************************
@@ -1562,9 +2191,11 @@
       ; OPTIONAL --over-- OVERLAYING
       ;
-      ; predefined overlaying of standard variables will be switched on [=1] or off [=0];
+      ; predefined overlaying of standard variables are switched on [=1] or off [=0];
       ; this feature cannot be used with statistic regions
       ;
       ; data type: integer
       ;
+      ; example: over = 0
+      ;
       ; default:   0 
       ;***************************************************
@@ -1575,5 +2206,59 @@
 	 
 	 
-      end if 
+      end if
+      ;***************************************************
+      ; OPTIONAL --font_size-- FONT SIZE OF STRINGS 
+      ;
+      ; font size can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size = 0.07
+      ;
+      ; default:   0.07 
+      ;***************************************************
+      if(.not. isvar("font_size"))then
+      
+      	 
+         font_size = 0.07
+	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --norm_t-- NORMALISING X-AXIS OF TIMESERIES PLOTS (T-AXIS)
+      ;
+      ; normalising the x-axis with the given value; the unit can explicitly set; by default no normalising and unit is set to [s]
+      ;
+      ; data type: float
+      ;
+      ; example: norm_t = 3600
+      ;
+      ; default:   1. 
+      ;***************************************************
+      if(.not. isvar("normt"))then
+      
+      	 
+         norm_t = 1.
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --unit_t-- UNIT OF X-AXIS OF TIMESERIES PLOTS (T-AXIS)
+      ;
+      ; unit of the x-axis can be set; by default unit is set to [s]
+      ;
+      ; data type: string
+      ;
+      ; example: unit_t = "h"
+      ;
+      ; default:   " " 
+      ;***************************************************
+      if(.not. isvar("unitt"))then
+      
+      	 
+         unit_t = " "
+	 
+	 
+      end if
       ;***************************************************
 
